Subject: Re: bug#71732: 30.0.50; [FR] xdg: provide an ability to create XDG directory, if it does not exist

From: Björn Bidar <[email-masked]>
Date: Mon, 24 Jun 2024 00:09:38 +0300

Eli Zaretskii <[email-masked]> writes:

>> From: Ihor Radchenko <[email-masked]>
>> Cc: [email-masked], [email-masked]
>> Date: Sun, 23 Jun 2024 11:42:47 +0000
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> >> Let me clarify: I did not mean creating a directory _under_ XDG
>> >> directory. I meant creating XDG directory itself - it is regulated by
>> >> XDG spec.
>> >
>> > Yes, I understood, and my response includes that part as well.
>> 
>> Then, I do not understand your
>> 
>>   >>> ...I disagree, mainly because the details are not part of XDG
>> 
>> According to
>> https://specifications.freedesktop.org/basedir-spec/basedir-spec-latest.html,
>> 0700 permission is a part of XDG spec.
>
> I already explained that: we don't blindly follow any standards, and
> this particular issue is up to the calling Lisp program.  xdg.el has
> no business forcing permissions on the caller.

I guess the point was that the caller should follow XDG or the
respective standard on non-xdg platforms and to at least advice in
following those.
Emacs should integrate into the target platform if possible saving files
into the right directories should be something possible.

"Blindly" following xdg or the respective platform for generic modus
does not sound like a wrong idea to me good defaults are valuable.